unit Unit3; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs,
  dbf, db, DBGrids, StdCtrls, memds, DbCtrls, EditBtn;

type

  { TForm3 }

  TForm3 = class(TForm)
    Button2: TButton;
    Datasource1: TDatasource;
    DBEdit1: TDBEdit;
    Dbf1: TDbf;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    ListBox1: TListBox;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure DBGrid1CellClick(Column: TColumn);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    App_Path: string;
  public
    { public declarations }
  end; 

var
  Form3: TForm3; 

implementation

{ TForm3 }

procedure TForm3.FormCreate(Sender: TObject);
begin
  App_Path:= ExtractFileDir(Application.ExeName) + '\';
  if FileExists(App_Path + 'DBF_Files.txt') then
    ListBox1.Items.LoadFromFile(App_Path + 'DBF_Files.txt');
    
end;

procedure TForm3.ListBox1Click(Sender: TObject);
begin
  try
    Memo1.Lines.Clear;
    Memo1.Lines.Add('Log:');

    Datasource1.DataSet.Close;
    DBEdit1.DataSource:= nil;
    
    //Memo1.Lines.Add(Dbf1.FilePathFull);
    DBF1.TableName:= ListBox1.Items[ListBox1.ItemIndex] + '.dbf';

    Datasource1.DataSet.Open;
    
    DBEdit1.DataField:= DBF1.Fields[0].FieldName;
    DBEdit1.DataSource:= Datasource1;
    
  except
    on E: exception do
      Memo1.Lines.Add(E.Message);
  end;

end;

procedure TForm3.DBGrid1CellClick(Column: TColumn);
begin
  DBEdit1.DataField:= Column.Field.FieldName;
end;

procedure TForm3.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  //ListBox1.Items.SaveToFile(App_Path + 'DBF_Files.txt');
end;

procedure TForm3.Button1Click(Sender: TObject);
begin



end;

procedure TForm3.Button2Click(Sender: TObject);
begin
  if Dbf1.State in [dsEdit, dsInsert] then
    Dbf1.Post;
end;

initialization
  {$I unit3.lrs}

end.

